Subject: Re: bug#71763: [PATCH] Inconsistency in bitmap overlay drawing for macOS

From: Daniel Pettersson <[email-masked]>
Date: Tue, 29 Oct 2024 20:59:32 +0100

Gerd Möllmann <[email-masked]> writes:

> If I read the diff correctly, this puts the clearing under the bitmap in
> an if-statement so that it is only done if we do not draw intentionally
> on top something drawn before.

> Right, Daniel?

Yup, w/o this we clear fringe on draw when I we should keep it intact
and draw over.

The only example I found and the reason for this fix is that we clear
fringe of overlays before drawing overlay-arrow.  Such that breakpoint
bitmap is removed when overlay-arrow is on the same line in gdb-mi.el.